@media all {

  .ce-container {
    --columns: 1;

    > .ce-inner {
      display: grid;
      grid-template-columns: repeat(var(--columns), minmax(0, 1fr));
      grid-gap: var(--page-gap);
      
      > .column {
        display: flex;
        flex-direction: column;
        gap: var(--page-grid-gap);
      }
      
    }

  }

  .ce-type-container-33-33-33 > .ce-header,
  .ce-type-container-33-33-33 > .ce-header > * {
    text-align: center;
  }

}

@media (min-width: 62.5rem) {

  .ce-type-container-50-50 {
    --columns: 2;

    > .ce-inner > .column-1 {
      grid-column: 1;
    }

    > .ce-inner > .column-2 {
      grid-column: 2;
    }

  }

  .ce-type-container-33-33-33 {
    --columns: 3;

    > .ce-inner > .column-1 {
      grid-column: 1;
    }

    > .ce-inner > .column-2 {
      grid-column: 2;
    }

    > .ce-inner > .column-3 {
      grid-column: 3;
    }

  }

  .ce-type-container-66-33 {
    > .ce-inner {
      grid-template-columns: 6fr 3fr;
    }

    > .ce-inner > .column-1 {
      grid-column: 1;
    }

    > .ce-inner > .column-2 {
      grid-column: 2;
    }

  }

}